org.deidentifier.arx.aggregates.quality

## Class QualityMeasure

- java.lang.Object
- - org.deidentifier.arx.aggregates.quality.QualityMeasure

    public abstract class QualityMeasure
    extends java.lang.Object

Base class for quality measures. Results are reported in range [0, 1]. Higher is better.

Author:
  Fabian rasser

### Constructor Summary

Constructors
Constructor and Description
`QualityMeasure(boolean rowOriented)` Creates a new instance

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract boolean` `isAvailable()` Returns whether this measure is available
`abstract boolean` `isAvailable(java.lang.String column)` Returns whether this measure is available for the given column
`boolean` `isColumnOriented()` Returns whether this is a column-oriented measure
`boolean` `isRowOriented()` Returns whether this is a row-oriented measure

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QualityMeasure

    public QualityMeasure(boolean rowOriented)

Creates a new instance

Parameters:
  `rowOriented` -

### Method Detail

#### isAvailable

    public abstract boolean isAvailable()

Returns whether this measure is available

Returns:

#### isAvailable

    public abstract boolean isAvailable(java.lang.String column)

Returns whether this measure is available for the given column

Parameters:
  `column` -
Returns:

#### isColumnOriented

    public boolean isColumnOriented()

Returns whether this is a column-oriented measure

Returns:

#### isRowOriented

    public boolean isRowOriented()

Returns whether this is a row-oriented measure

Returns: